%  vander2.m
% Matlab file for Part 2 of the van der Pol System
% module

global a

disp('*******************************')
disp('Part 2: Phase Portraits ')
disp('*******************************')
disp('  ')    

    format short

    disp('We use the ode45 numerical integrator to ')
    disp('solve the van der Pol system: ')
    disp('  [t,z]=ode45(function_name,[t0,tf],z0)')
    disp('       where z0=[I0,V0]'', a column vector ')
    disp('         that gives the initial conditions. ')
    disp(' ')
    disp('The function that evaluates the right hand side')
    disp('of the system is provided with this module in')
    disp('the file de_rhs.m.  To see the system, enter')
    disp('''''type de_rhs''''. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('We will also use the MATLAB function:')
    disp('    dirfield(xmin,xmax,ymin,ymax) ')
    disp('for plotting direction fields.  It is contained')
    disp('in a m-file provided with this module.')
    disp(' ') 
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 1:')
    disp('The following commands set the value of the')
    disp('parameter a, plot the direction field in the')
    disp('phase plane, and compute and plot numerical')
    disp('solutions to the system.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  a = 0.5  ')
    disp('  figure(1); clf ')
    disp('  dirfield(-3,3, -3,3); hold on ')
    disp('  I0 = -2; V0 = 2;   ')
    disp('  [t,z]=ode45(''de_rhs'',[0,20],[I0;V0]); ')
    disp('  plot(z(:,1),z(:,2),''r''); ')
    disp('  I0 = 2; V0 = 2;   ')
    disp('  [t,z]=ode45(''de_rhs'',[0,20],[I0;V0]); ')
    disp('  plot(z(:,1),z(:,2),''k''); ')
    disp('  xlabel(''I''); ylabel(''V'') ')
    disp('  axis( [-3,3, -3,3] ) ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('You can easily add more solution curves to the')
    disp('held plot by entering new initial conditions,')
    disp('using ode45 to solve, and doing a plot.')
    disp('Make a complete phase portrait for our system. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2: ')
    disp('Describe the long-trem behavior for this value')
    disp('of parameter a.')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2: ')
    disp('The following command will plot your latest')
    disp('solution (I(t), V(t)) as functions of time')
    disp('on the same plot in figure(2). ')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp('  figure(2); clf ')
    disp('  plot(t,z(:,1),''r''); hold on ')
    disp('  plot(t,z(:,2),''b''); grid on  ')
    disp('  legend(''I(t)'',''V(t)'') ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    keyboard;
    disp(' ')

    disp('-----------------------------------------------')
    disp('Step 4: ')
    disp('Change the parameter a to each of the values')
    disp('designated, and re-execute the commands in ')
    disp('steps 1 thru 3. ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Describe the changes you observe as ''a'' changes')
    disp('using  MATLAB comments in your diary file. ')
    disp(' ') 
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 3 ')
    disp('of this module, type: vander3.')
    disp(' ')
